Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.util
Class NeuronProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable
              org.neuroph.util.Properties
                  org.neuroph.util.NeuronProperties

All Implemented Interfaces:
  Serializable, Cloneable, Map

    public class NeuronProperties

extends Properties

Represents properties of a neuron.

Author:
  Zoran Sevarac
See Also:
  Serialized Form

Constructor Summary
`NeuronProperties()`
`NeuronProperties(Class<? extends Neuron> neuronClass)`
`NeuronProperties(Class<? extends Neuron> neuronClass, Class<? extends InputFunction> inputFunctionClass, Class<? extends TransferFunction> transferFunctionClass)`
`NeuronProperties(Class<? extends Neuron> neuronClass, Class<? extends TransferFunction> transferFunctionClass)`
`NeuronProperties(Class<? extends Neuron> neuronClass, TransferFunctionType transferFunctionType)`
`NeuronProperties(TransferFunctionType transferFunctionType, boolean useBias)`

Method Summary
`Class` | `getInputFunction()`
`Class` | `getNeuronType()`
`Class` | `getTransferFunction()`
`Properties` | `getTransferFunctionProperties()`
`void` | `setProperty(String key, Object value)`

Methods inherited from class org.neuroph.util.Properties
`createKeys, getProperty, hasProperty`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NeuronProperties

    public NeuronProperties()

### NeuronProperties

    public NeuronProperties(Class<? extends Neuron> neuronClass)

### NeuronProperties

    public NeuronProperties(Class<? extends Neuron> neuronClass,
                            Class<? extends TransferFunction> transferFunctionClass)

### NeuronProperties

    public NeuronProperties(Class<? extends Neuron> neuronClass,
                            Class<? extends InputFunction> inputFunctionClass,
                            Class<? extends TransferFunction> transferFunctionClass)

### NeuronProperties

    public NeuronProperties(Class<? extends Neuron> neuronClass,
                            TransferFunctionType transferFunctionType)

### NeuronProperties

    public NeuronProperties(TransferFunctionType transferFunctionType,
                            boolean useBias)

Method Detail

### getInputFunction

    public Class getInputFunction()

### getTransferFunction

    public Class getTransferFunction()

### getNeuronType

    public Class getNeuronType()

### getTransferFunctionProperties

    public Properties getTransferFunctionProperties()

### setProperty

    public final void setProperty(String key,
                                  Object value)

  Overrides:
    `setProperty` in class `Properties`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.